%global cvs_version 20090321cvs

Name:           RasmusDSP
Summary:        Embeddable Audio/MIDI processor
URL:            http://sourceforge.net/projects/rasmusdsp
Group:          Development/Libraries
Version:        0.1
Release:        3.%{cvs_version}%{?dist}
License:        BSD
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        %{name}-%{cvs_version}.tar.bz2
# Files for RasmusDSP script editor and tester:
Source1:        %{name}-tester.sh
Source2:        %{name}-tester.desktop
Source3:        %{name}-editor.sh
Source4:        %{name}-editor.desktop

# Fetch script:
Source99:       %{name}-snapshot.sh

# For linking to the system fftw library dynamically:
Patch0:         %{name}-Makefile.patch
# Include some additional useful files in the jar file. Also
# add a debug flag to javac:
Patch1:         %{name}-build.patch

BuildRequires:  ant
BuildRequires:  desktop-file-utils
BuildRequires:  fftw-devel
BuildRequires:  java-devel >= 1.7
BuildRequires:  jpackage-utils

Requires:       jpackage-utils
Requires:       java >= 1.7

%description
RasmusDSP is an embeddable Audio/MIDI processor. It contains various filters
and generators (including SoundFont 2.0 compatible synthesizer); also has a 
script interpreter which is used to describe instruments and to route 
Audio/MIDI signal between processor units.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%package editor
Summary:        Editor and tester for %{name} scripts
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       hicolor-icon-theme

%description editor
This package contains an editor and a tester for %{name} scripts.

%prep
%setup -q -n %{name}

%patch0 -p1
%patch1 -p1

# Remove precompiled binaries
rm -f cpp/fftw/jfftw3.dll src/rasmus/Thumbs.db

# Load the library correctly
sed -i 's|loadLibrary( "jfftw3" )|load( "%{_libdir}/%{name}/libjfftw3.so" )|' \
   src/rasmus/fft/fftw/FFTW.java

%build
%ant jar javadocs
pushd cpp/fftw/
   make %{?_smp_flags} CPPFLAGS="%{optflags} -fPIC" JDK_HOME="%{java_home}"
popd


%install
rm -rf %{buildroot}
# jars
install -dm 755 %{buildroot}%{_libdir}/%{name}
install -pm 644 lib/%{name}.jar \
        %{buildroot}%{_libdir}/%{name}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_libdir}/%{name}/%{name}.jar

# native lib
install -pm 755 cpp/fftw/libjfftw3.so %{buildroot}%{_libdir}/%{name}

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* \
        %{buildroot}%{_javadocdir}/%{name}

# editor and tester
install -dm 755 %{buildroot}%{_bindir}
install -pm 755 %{SOURCE1} \
        %{buildroot}%{_bindir}/%{name}-tester
install -pm 755 %{SOURCE3} \
        %{buildroot}%{_bindir}/%{name}-editor

# icon
install -dm 755 %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -m 644 src/rasmus/rasmusdsp.PNG \
        %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

# desktop files
desktop-file-install                               \
        --dir=%{buildroot}%{_datadir}/applications \
        %{SOURCE2}

desktop-file-install                               \
        --dir=%{buildroot}%{_datadir}/applications \
        %{SOURCE4}


%clean
rm -rf %{buildroot}

%post editor
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun editor
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans editor
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc *.txt
%{_libdir}/%{name}/

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%files editor
%defattr(-,root,root,-)
%{_bindir}/%{name}-*
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/applications/%{name}*.desktop

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3.20090321cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 28 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.1-2.20090321cvs
- Remove unneeded BR: jack-audio-connection-kit-devel

* Mon Mar 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.1-1.20090321cvs
- Initial build
